#include "DataElement.hpp"

DataElement::DataElement() {
  //
}

DataElement::~DataElement() {
  //
}

DataEntry* DataElement::GetDataEntry() {
  return pDataEntry;
}

Label* DataElement::GetLabel() {
  return pLabel;
}

float DataElement::GetLeft() {
  return fLeft;
}

float DataElement::GetTop() {
  return fTop;
}

float DataElement::GetBottom() {
  return fBottom;
}

float DataElement::GetWidth() {
  return fWidth;
}

float DataElement::GetHeight() {
  return fHeight;
}

float DataElement::GetAlpha() {
  return vColors[0].a;
}